/*
 * $Id$
 */

package org.apache.archiva.redback.keys.jdo;

  //---------------------------------/
 //- Imported classes and packages -/
//---------------------------------/

import java.util.Date;

/**
 * null
 * 
 * @version $Revision$ $Date$
 */
public class AuthenticationKeyDatabase implements java.io.Serializable {


      //--------------------------/
     //- Class/Member Variables -/
    //--------------------------/

    /**
     * Field keys
     */
    private java.util.List keys;


      //-----------/
     //- Methods -/
    //-----------/

    /**
     * Method addKey
     * 
     * @param jdoAuthenticationKey
     */
    public void addKey(JdoAuthenticationKey jdoAuthenticationKey)
    {
        if ( !(jdoAuthenticationKey instanceof JdoAuthenticationKey) )
        {
            throw new ClassCastException( "AuthenticationKeyDatabase.addKeys(jdoAuthenticationKey) parameter must be instanceof " + JdoAuthenticationKey.class.getName() );
        }
        getKeys().add( jdoAuthenticationKey );
    } //-- void addKey(JdoAuthenticationKey) 

    /**
     * Method getKeys
     */
    public java.util.List getKeys()
    {
        if ( this.keys == null )
        {
            this.keys = new java.util.ArrayList();
        }
        
        return this.keys;
    } //-- java.util.List getKeys() 

    /**
     * Method removeKey
     * 
     * @param jdoAuthenticationKey
     */
    public void removeKey(JdoAuthenticationKey jdoAuthenticationKey)
    {
        if ( !(jdoAuthenticationKey instanceof JdoAuthenticationKey) )
        {
            throw new ClassCastException( "AuthenticationKeyDatabase.removeKeys(jdoAuthenticationKey) parameter must be instanceof " + JdoAuthenticationKey.class.getName() );
        }
        getKeys().remove( jdoAuthenticationKey );
    } //-- void removeKey(JdoAuthenticationKey) 

    /**
     * Set null
     * 
     * @param keys
     */
    public void setKeys(java.util.List keys)
    {
        this.keys = keys;
    } //-- void setKeys(java.util.List) 


    private String modelEncoding = "UTF-8";

    public void setModelEncoding( String modelEncoding )
    {
        this.modelEncoding = modelEncoding;
    }

    public String getModelEncoding()
    {
        return modelEncoding;
    }
}
