/*
 * $Id$
 */

package org.apache.archiva.redback.keys.jdo;

  //---------------------------------/
 //- Imported classes and packages -/
//---------------------------------/

import java.util.Date;

/**
 * 
 *         @plexus.component
 * role="org.apache.archiva.redback.keys.AuthenticationKey"
 *         role-hint="jdo"
 *       
 * 
 * @version $Revision$ $Date$
 */
public class JdoAuthenticationKey 
implements org.apache.archiva.redback.keys.AuthenticationKey, java.io.Serializable
{


      //--------------------------/
     //- Class/Member Variables -/
    //--------------------------/

    /**
     * Field key
     */
    private String key;

    /**
     * Field forPrincipal
     */
    private String forPrincipal;

    /**
     * Field purpose
     */
    private String purpose;

    /**
     * Field dateCreated
     */
    private java.util.Date dateCreated;

    /**
     * Field dateExpires
     */
    private java.util.Date dateExpires;


      //-----------/
     //- Methods -/
    //-----------/

    /**
     * Method equals
     * 
     * @param other
     */
    public boolean equals(Object other)
    {
        if ( this == other)
        {
            return true;
        }
        
        if ( !(other instanceof JdoAuthenticationKey) )
        {
            return false;
        }
        
        JdoAuthenticationKey that = (JdoAuthenticationKey) other;
        boolean result = true;
        result = result && ( getKey() == null ? that.getKey() == null : getKey().equals( that.getKey() ) );
        result = result && ( getForPrincipal() == null ? that.getForPrincipal() == null : getForPrincipal().equals( that.getForPrincipal() ) );
        return result;
    } //-- boolean equals(Object) 

    /**
     * Get null
     */
    public java.util.Date getDateCreated()
    {
        return this.dateCreated;
    } //-- java.util.Date getDateCreated() 

    /**
     * Get null
     */
    public java.util.Date getDateExpires()
    {
        return this.dateExpires;
    } //-- java.util.Date getDateExpires() 

    /**
     * Get null
     */
    public String getForPrincipal()
    {
        return this.forPrincipal;
    } //-- String getForPrincipal() 

    /**
     * Get null
     */
    public String getKey()
    {
        return this.key;
    } //-- String getKey() 

    /**
     * Get null
     */
    public String getPurpose()
    {
        return this.purpose;
    } //-- String getPurpose() 

    /**
     * Method hashCode
     */
    public int hashCode()
    {
        int result = 17;
        long tmp;
        result = 37 * result + ( key != null ? key.hashCode() : 0 );
        result = 37 * result + ( forPrincipal != null ? forPrincipal.hashCode() : 0 );
        return result;
    } //-- int hashCode() 

    /**
     * Set null
     * 
     * @param dateCreated
     */
    public void setDateCreated(java.util.Date dateCreated)
    {
        this.dateCreated = dateCreated;
    } //-- void setDateCreated(java.util.Date) 

    /**
     * Set null
     * 
     * @param dateExpires
     */
    public void setDateExpires(java.util.Date dateExpires)
    {
        this.dateExpires = dateExpires;
    } //-- void setDateExpires(java.util.Date) 

    /**
     * Set null
     * 
     * @param forPrincipal
     */
    public void setForPrincipal(String forPrincipal)
    {
        this.forPrincipal = forPrincipal;
    } //-- void setForPrincipal(String) 

    /**
     * Set null
     * 
     * @param key
     */
    public void setKey(String key)
    {
        this.key = key;
    } //-- void setKey(String) 

    /**
     * Set null
     * 
     * @param purpose
     */
    public void setPurpose(String purpose)
    {
        this.purpose = purpose;
    } //-- void setPurpose(String) 

    /**
     * Method toString
     */
    public java.lang.String toString()
    {
        StringBuffer buf = new StringBuffer();
        buf.append( "key = '" );
        buf.append( getKey() + "'" );
        buf.append( "\n" ); 
        buf.append( "forPrincipal = '" );
        buf.append( getForPrincipal() + "'" );
        return buf.toString();
    } //-- java.lang.String toString() 


    private String modelEncoding = "UTF-8";

    public void setModelEncoding( String modelEncoding )
    {
        this.modelEncoding = modelEncoding;
    }

    public String getModelEncoding()
    {
        return modelEncoding;
    }
}
